Subject: Re: Медленный подсчет pygost. gost34112012512

From: Sergey Matveev <[email-masked]>
Date: Thu, 12 Nov 2020 11:46:01 +0300

Приветствую!

*** Камоликов Виталий Дмитриевич [2020-11-12 10:29]:
>Или это ограничение алгоритма? Разница с нативной утилитой на Си в 2 порядка.

Оптимизировать можно, но я этого не делаю, так как, как правило, это
увеличит размер кода, усложнит его понимание/правку, особенно когда речь
про Python, когда каждый вызов функции/метода это довольно большая цена.
Разница между чистым Python и C в любом случае будет огромная. PyGOST
точно не рассчитан на высокопроизводительные задачи -- для них стоит
использовать или GoGOST (http://www.gogost.cypherpunks.ru/) (хотя в нём
тоже оптимизаций нет и простота кода превыше всего) или C. GoGOST-овая
streebog512 утилита у меня на i5-6200U хэширует примерно полмегабайта/сек.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF